# mtcp_destroy_context

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
AUTHORS
SEE ALSO
COLOPHON

## NAME

mtcp_destroy_context − destroy mTCP context

## SYNOPSIS

#include <mtcp_api.h>

void mtcp_destroy_context(mctx_t mctx);

## DESCRIPTION

mtcp_destroy_context() cleans up the per-thread (with CPU core-id as specified in the mctx structure) mTCP context in the process. This is usually the last function called (specific to mTCP API) before the mTCP application thread is terminated from the process address space.

## RETURN VALUE

mtcp_destroy_context() returns nothing.

## AUTHORS

mTCP development team <mtcp-user@list.ndsl.kaist.edu>

## SEE ALSO

mtcp_create_context(), mtcp_init(), mtcp_destroy()

## COLOPHON

This page is part of mTCP release 3.0 docs section. A description of the project, and information about reporting bugs, can be found at http://shader.kaist.edu/mtcp/.